Subject: Re: less problem
From: Shiv Kumar <[email-masked]>
To: Andrew Patrzalek <[email-masked]>, cygwin <[email-masked]>
Date: Wed, 31 May 2000 19:28:08 +0530

if I do not use the -r option in less command I get the following output :

$ ls -l | less
ESC[0mtotal 12031
drwxr-xr-x   2 shiv     Administ    36864 May 24 15:19 ESC[01;34m.ESC[0m/
drwxr-xr-x  13 shiv     Administ     4096 Apr 26 20:27 ESC[01;34m..ESC[0m/
-rwxr-xr-x   1 shiv     Administ   107892 Apr 21 02:31 ESC[01;32maddftinfo.exe
ESC[0m*
-rwxr-xr-x   1 shiv     Administ   202752 Feb  4 08:39 ESC[01;32maddr2line.exe

$ ls -l | less -r
total 12031
drwxr-xr-x   2 shiv     Administ    36864 May 24 15:19 ./
drwxr-xr-x  13 shiv     Administ     4096 Apr 26 20:27 ../
-rwxr-xr-x   1 shiv     Administ   107892 Apr 21 02:31 addftinfo.exe*
-rwxr-xr-x   1 shiv     Administ   202752 Feb  4 08:39 addr2line.exe*

I have aliased ls='ls --color'. After changing it to alias ls='ls --color=tty'

$ ls -l | less

works fine.

Andrew Patrzalek wrote:

> On a related note, in /etc/man.conf if I use PAGER=less -irs it will
> interpret the escape sequences correctly for the man pages. If I alias
> more='less -irs' I can get the neat colors for commands like ls -l | more
>  using dircolors ). The less manpage warns about using the 'r' command line
> switch. Has anyone had problems with it?
>

--
shiv
[email-masked]

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]